# Επεξεργασία στοιχείων δυσδιάστατης λίστα ΑΝΑ ΣΤΗΛΗ

# Αρχικοποίηση δυσδιάστατης λίστας Φοιτητών και Μαθημάτων.
# Κάθε μία από τις 4 υπολίστες περιέχει τη βαθμολογία του
# αντίστοιχου φοιτητή για 6 μαθήματα
lista_foititon_kai_bathmon=[[8,9,7,8,6,10],
                            [7,8,6,5,4,7],
                            [7,9,8,9,8,10],
                            [7,8,6,9,7,8]]

# Η μεταβλητή j λαμβάνει όλες τις τιμές από 0 έως και 5,
# δηλαδή αφορά διαδοχικά όλες τις στήλες
for j in range(6):
    # Η μεταβλητή i λαμβάνει όλες τις τιμές από 0 έως και 3,
    # δηλαδή αφορά διαδοχικά όλες τις γραμμές
    for i in range(4):
        print(lista_foititon_kai_bathmon[i][j], end=",")
    # αλλαγή σειράς εκτύπωσης
    print()


        
